package it.tecnologieweb.pizza.web.dao;


public class CorsoTO {

	private Integer id;

	private String nome;
	private String anno;
	private String programma;

	private Integer idProf;
	private ProfessoreTO professore;

	// ------------------------------------------
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getAnno() {
		return anno;
	}

	public void setAnno(String anno) {
		this.anno = anno;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public ProfessoreTO getProfessore() {
		if (professore == null)
			professore = new ProfessoreTO();
		return professore;
	}

	public void setProfessore(ProfessoreTO professore) {
		this.professore = professore;
	}

	public String getProgramma() {
		return programma;
	}

	public void setProgramma(String programma) {
		this.programma = programma;
	}

	public Integer getIdProf() {
		return idProf;
	}

	public void setIdProf(Integer idProf) {
		this.idProf = idProf;
	}
	
	// --------------------------------------
	
	@Override
	public String toString() {
		String result = "corso[";
		result += "id=" + this.id + ", ";
		result += "nome=" + this.nome + ", ";
		result += "anno=" + this.anno + ", ";
		result += "programma=" + this.programma + ", ";
		result += "idProf=" + this.idProf;
		if ( this.professore != null ) {
			result += " -> " + this.professore.toString();
		}
		result += "]";
		return result;
	}

}
