package it.tecnologieweb.pizza.web.dao;


import java.util.ArrayList;
import java.util.List;

import org.apache.myfaces.custom.fileupload.UploadedFile;

public class ProfessoreTO {

	private Integer id;
	private String nome;
	private String cognome;
	private String matricola;
	private String biografia;
	private UploadedFile foto;
	private byte[] fotoBytes;
	private String fotoContentType;
	private String fotoName;
	
	private List<CorsoTO> corsi;
	
	
	public String getCognome() {
		return cognome;
	}
	public void setCognome(String cognome) {
		this.cognome = cognome;
	}
	public List<CorsoTO> getCorsi() {
		if(corsi == null)
			corsi = new ArrayList<CorsoTO>();
		return corsi;
	}
	public void setCorsi(List<CorsoTO> corsi) {
		this.corsi = corsi;
	}
	@SuppressWarnings("unchecked")
	public void addCorso(CorsoTO corso){
		getCorsi().add(corso);
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getMatricola() {
		return matricola;
	}
	public void setMatricola(String matricola) {
		this.matricola = matricola;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getBiografia() {
		return biografia;
	}
	public void setBiografia(String biografia) {
		this.biografia = biografia;
	}
	public UploadedFile getFoto() {
		return foto;
	}
	public void setFoto(UploadedFile foto) {
		this.foto = foto;
	}
	public byte[] getFotoBytes() {
		return fotoBytes;
	}
	public void setFotoBytes(byte[] fotoBytes) {
		this.fotoBytes = fotoBytes;
	}
	public String getFotoContentType() {
		return fotoContentType;
	}
	public void setFotoContentType(String fotoContentType) {
		this.fotoContentType = fotoContentType;
	}
	public String getFotoName() {
		return fotoName;
	}
	public void setFotoName(String fotoName) {
		this.fotoName = fotoName;
	}

	// --------------------------------------
	
	@Override
	public String toString() {
		String result = "professore[";
		result += "id=" + this.id + ", ";
		result += "nome=" + this.nome + ", ";
		result += "cognome=" + this.cognome + ", ";
		result += "matricola=" + this.matricola + ", ";
		if ( biografia != null && biografia.length() > 5 ) 
			result += "biografia=" + this.biografia.substring(0,4) + "..." + " ,";
		else 
			result += "biografia=" + this.biografia + " ,";
		result += "fotoName=" + this.fotoName + ", ";
		result += "corsi=";
		if ( this.corsi != null )
			for ( CorsoTO corso : this.corsi ) 
				result += corso.getId() + " ";
		result += "]";	
		return result;
	}

}
