<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Laboratorio di tecnologie Web - Menu di Navigazione orizzontale/Tab </title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/tabs.css" />
</head>
<body id="recipes">
<f:view>
<div id="menu">


<%@include file="menu.jsp" %>

</div>
<div id="content">
<h1><h:outputText value="Laboratorio di tecnologie Web"/></h1>
<h1><h:outputText value="Lista Corsi"/></h1>
<p><h:dataTable id="corsi"
 columnClasses="list-column-center, list-column-right, list-column-center,list-column-right" 
 headerClass="list-header"
 rowClasses="list-row" styleClass="list-background" value="#{Manager.corsi}" var="corso"
 binding="#{Manager.dataCorsi}">   
  <h:column>
    <f:facet name="header">
      <h:outputText  value="nome corso"/>
    </f:facet>
     <h:outputText value="#{corso.nome}"/>
  </h:column>
  <h:column>
    <f:facet name="header">
       <h:outputText  value="anno corso"/>
    </f:facet>
     <h:outputText value="#{corso.anno}"/>
  </h:column>
   <h:column>
    <f:facet name="header">
       <h:outputText  value="vedi"/>
    </f:facet>
    <h:form >
     <h:commandLink id="vediCorso" action="#{Manager.vediCorso}" value="vedi" />
     </h:form>
  </h:column>
   <h:column>
    <f:facet name="header">
       <h:outputText  value="elimina"/>
    </f:facet>
    <h:form >
     <h:commandLink action="#{Manager.eliminaCorso}" value="elimina" />
     </h:form>
  </h:column>
</h:dataTable> </p>
</f:view>
</div>
</body>
</html>
