<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Laboratorio di tecnologie Web - Menu di Navigazione orizzontale/Tab </title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/tabs.css" />
</head>
<body id="recipes">
<f:view>
<div id="menu">


<%@include file="menu.jsp" %>

</div>
<div id="content">
<h1><h:outputText value="Laboratorio di tecnologie Web"/></h1>
<h1><h:outputText value="Modifica Professore"/></h1>
	<p>
	<h:form id="formLink" enctype="multipart/form-data">
	  <h:panelGrid id="grid" columns="2" columnClasses="centeredColumn,leftedColumn">

	    <h:outputText id="outputNome" value="#{msgs.nome}"/>
	    <h:panelGroup>
		    <h:inputText id="inputNome" value="#{Manager.professore.nome}" required="true"/>
		    <h:message for="inputNome"/>
	    </h:panelGroup>

	    <h:outputText id="outputCognome" value="#{msgs.cognome}"/>
	    <h:panelGroup>
		    <h:inputText id="inputCognome" value="#{Manager.professore.cognome}" required="true"/>
		    <h:message for="inputCognome"/>
	    </h:panelGroup>

	    <h:outputText id="outputMatricola" value="#{msgs.matricola}"/>
	    <h:panelGroup>
		    <h:inputText id="inputMatricola" value="#{Manager.professore.matricola}" required="true"/>
		    <h:message for="inputMatricola"/>
	    </h:panelGroup>

	    <h:outputText id="outputBiografia" value="#{msgs.biografia}"/>
	    <h:inputTextarea value="#{Manager.professore.biografia}" rows="4" cols="25"/>

	     <h:outputText id="mostraFoto" value="#{msgs.foto}"/>
	     <h:graphicImage url="fileupload_showimg.jsf"/>

	     <h:outputText id="outputFoto" value="#{msgs.nuovaFoto}" />
	     <t:inputFileUpload id="fileupload" 
	          accept="image/*"
              value="#{Manager.professore.foto}"
              storage="file"
              maxlength="200000"
	     />

	    <h:commandButton id="modButton" value="#{msgs.updateProf}" action="#{Manager.updateProfessore}"/>
	    <h:commandButton id="delButton" value="#{msgs.deleteProf}" action="#{Manager.deleteProfessore}" immediate="true" />

	    <h:message id="message1" for="formLink"/>
	    <f:verbatim>&nbsp;</f:verbatim>

	  </h:panelGrid>
	</h:form>
	</p>
</f:view>
</div>
</body>
</html>
