<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Laboratorio di tecnologie Web - Menu di Navigazione orizzontale/Tab </title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/tabs.css" />
</head>
<body id="recipes">
<f:view>
<div id="menu">
<%@include file="menu.jsp" %>
</div>
<div id="content">
<h1><h:outputText value="Laboratorio di tecnologie Web"/></h1>
<h1><h:outputText value="Lista Professori"/></h1>
<p><h:dataTable id="professori"
 columnClasses="list-column-center, list-column-right, list-column-center,list-column-right" 
 headerClass="list-header"
 rowClasses="list-row" styleClass="list-background" value="#{Manager.professori}" var="prof"
 binding="#{Manager.dataProfessori}">   

  <h:column>
    <f:facet name="header">
      <h:outputText  value="nome"/>
    </f:facet>
     <h:outputText value="#{prof.nome}"/>
  </h:column>

  <h:column>
    <f:facet name="header">
       <h:outputText  value="cognome"/>
    </f:facet>
     <h:outputText value="#{prof.cognome}"/>
  </h:column>

   <h:column>
    <f:facet name="header">
       <h:outputText  value="matricola"/>
    </f:facet>
     <h:outputText value="#{prof.matricola}"/>
  </h:column>

   <h:column>
    <f:facet name="header">
       <h:outputText  value="vedi"/>
    </f:facet>
    <h:form >
     <h:commandLink id="vediProfessore" action="#{Manager.vediProfessore}" value="vedi" />
     </h:form>
  </h:column>

  <h:column>
    <f:facet name="header">
       <h:outputText  value="modifica"/>
    </f:facet>
    <h:form >
     <h:commandLink id="modificaProfessore" action="#{Manager.modificaProfessore}" value="modifica" />
     </h:form>
  </h:column>

  <h:column>
    <f:facet name="header">
       <h:outputText  value="logga"/>
    </f:facet>
    <h:form >
     <h:commandLink id="loggaProfessore" action="#{Manager.loggaProfessore}" value="logga" />
     </h:form>
  </h:column>

</h:dataTable> </p>

</f:view>
</div>
</body>
</html>
